# 重命名规则

## 基本语法

![重命名规则语法](../images/rename_pattern_rule.jpg)

## 示例

假设正则表达式中的捕获组1为apple

(例如，用正则表达式`\b(a\w+)\b`去匹配文本apple,第一个捕获组就是apple)

| 重命名规则 | 结果 |
|:----:|:----:|
| $$ | $ |
| $1 | apple |
| $2 | ⟦空⟧ |
| $1>U | APPLE |
| $1>L | apple |
| $1>F | Apple |
| $1{le>lication} |application |
| $1{A>b} | apple |
| $1>F{A>b} | bpple |
| $1{p>b}{a>p} | pbble |
| $1{a>p}{p>b} | bbble |
